package body MSHTML.DispIHTMLInputTextElement_Object is

   procedure setAttribute
     (This             : DispIHTMLInputTextElement_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      AttributeValue   : GNATCOM.Types.VARIANT;
      lFlags           : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free             : Boolean := True)
   is
   begin
      Invoke
        (This,
         DispIHTMLInputTextElement_setAttribute,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => lFlags,
          2 => AttributeValue,
          3 => strAttributeName),
         Free);
   end setAttribute;

   function getAttribute
     (This             : DispIHTMLInputTextElement_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      lFlags           : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispIHTMLInputTextElement_getAttribute,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => lFlags,
          2 => strAttributeName),
         Free);
   end getAttribute;

   function removeAttribute
     (This             : DispIHTMLInputTextElement_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      lFlags           : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispIHTMLInputTextElement_removeAttribute,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => lFlags,
          2 => strAttributeName),
         Free);
   end removeAttribute;

   procedure Put_className
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_className,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_className;

   function Get_className
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_className);
   end Get_className;

   procedure Put_id
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_id,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_id;

   function Get_id
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_id);
   end Get_id;

   function Get_tagName
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_tagName);
   end Get_tagName;

   function Get_parentElement
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_parentElement);
   end Get_parentElement;

   function Get_style
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_style);
   end Get_style;

   procedure Put_onhelp
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onhelp,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onhelp;

   function Get_onhelp
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onhelp);
   end Get_onhelp;

   procedure Put_onclick
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onclick,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onclick;

   function Get_onclick
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onclick);
   end Get_onclick;

   procedure Put_ondblclick
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_ondblclick,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ondblclick;

   function Get_ondblclick
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_ondblclick);
   end Get_ondblclick;

   procedure Put_onkeydown
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onkeydown,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onkeydown;

   function Get_onkeydown
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onkeydown);
   end Get_onkeydown;

   procedure Put_onkeyup
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onkeyup,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onkeyup;

   function Get_onkeyup
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onkeyup);
   end Get_onkeyup;

   procedure Put_onkeypress
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onkeypress,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onkeypress;

   function Get_onkeypress
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onkeypress);
   end Get_onkeypress;

   procedure Put_onmouseout
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onmouseout,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmouseout;

   function Get_onmouseout
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onmouseout);
   end Get_onmouseout;

   procedure Put_onmouseover
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onmouseover,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmouseover;

   function Get_onmouseover
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onmouseover);
   end Get_onmouseover;

   procedure Put_onmousemove
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onmousemove,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmousemove;

   function Get_onmousemove
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onmousemove);
   end Get_onmousemove;

   procedure Put_onmousedown
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onmousedown,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmousedown;

   function Get_onmousedown
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onmousedown);
   end Get_onmousedown;

   procedure Put_onmouseup
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onmouseup,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onmouseup;

   function Get_onmouseup
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onmouseup);
   end Get_onmouseup;

   function Get_document
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_document);
   end Get_document;

   procedure Put_title
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_title,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_title;

   function Get_title
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_title);
   end Get_title;

   procedure Put_language
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_language,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_language;

   function Get_language
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_language);
   end Get_language;

   procedure Put_onselectstart
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onselectstart,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onselectstart;

   function Get_onselectstart
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onselectstart);
   end Get_onselectstart;

   procedure scrollIntoView
     (This        : DispIHTMLInputTextElement_Type;
      varargStart : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free        : Boolean := True)
   is
   begin
      Invoke
        (This,
         DispIHTMLInputTextElement_scrollIntoView,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => varargStart),
         Free);
   end scrollIntoView;

   function contains
     (This   : DispIHTMLInputTextElement_Type;
      pChild : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispIHTMLInputTextElement_contains,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pChild),
         Free);
   end contains;

   function Get_sourceIndex
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_sourceIndex);
   end Get_sourceIndex;

   function Get_recordNumber
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_recordNumber);
   end Get_recordNumber;

   procedure Put_lang
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_lang,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_lang;

   function Get_lang
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_lang);
   end Get_lang;

   function Get_offsetLeft
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_offsetLeft);
   end Get_offsetLeft;

   function Get_offsetTop
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_offsetTop);
   end Get_offsetTop;

   function Get_offsetWidth
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_offsetWidth);
   end Get_offsetWidth;

   function Get_offsetHeight
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_offsetHeight);
   end Get_offsetHeight;

   function Get_offsetParent
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_offsetParent);
   end Get_offsetParent;

   procedure Put_innerHTML
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_innerHTML,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_innerHTML;

   function Get_innerHTML
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_innerHTML);
   end Get_innerHTML;

   procedure Put_innerText
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_innerText,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_innerText;

   function Get_innerText
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_innerText);
   end Get_innerText;

   procedure Put_outerHTML
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_outerHTML,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_outerHTML;

   function Get_outerHTML
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_outerHTML);
   end Get_outerHTML;

   procedure Put_outerText
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_outerText,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_outerText;

   function Get_outerText
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_outerText);
   end Get_outerText;

   procedure insertAdjacentHTML
     (This  : DispIHTMLInputTextElement_Type;
      where : GNATCOM.Types.VARIANT;
      html  : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
   is
   begin
      Invoke
        (This,
         DispIHTMLInputTextElement_insertAdjacentHTML,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => html,
          2 => where),
         Free);
   end insertAdjacentHTML;

   procedure insertAdjacentText
     (This  : DispIHTMLInputTextElement_Type;
      where : GNATCOM.Types.VARIANT;
      text  : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
   is
   begin
      Invoke
        (This,
         DispIHTMLInputTextElement_insertAdjacentText,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => text,
          2 => where),
         Free);
   end insertAdjacentText;

   function Get_parentTextEdit
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_parentTextEdit);
   end Get_parentTextEdit;

   function Get_isTextEdit
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_isTextEdit);
   end Get_isTextEdit;

   procedure click
     (This : DispIHTMLInputTextElement_Type)
   is
   begin
      Invoke (This, DispIHTMLInputTextElement_click);
   end click;

   function Get_filters
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_filters);
   end Get_filters;

   procedure Put_ondragstart
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_ondragstart,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ondragstart;

   function Get_ondragstart
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_ondragstart);
   end Get_ondragstart;

   function toString
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DispIHTMLInputTextElement_toString);
   end toString;

   procedure Put_onbeforeupdate
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onbeforeupdate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onbeforeupdate;

   function Get_onbeforeupdate
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onbeforeupdate);
   end Get_onbeforeupdate;

   procedure Put_onafterupdate
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onafterupdate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onafterupdate;

   function Get_onafterupdate
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onafterupdate);
   end Get_onafterupdate;

   procedure Put_onerrorupdate
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onerrorupdate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onerrorupdate;

   function Get_onerrorupdate
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onerrorupdate);
   end Get_onerrorupdate;

   procedure Put_onrowexit
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onrowexit,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onrowexit;

   function Get_onrowexit
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onrowexit);
   end Get_onrowexit;

   procedure Put_onrowenter
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onrowenter,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onrowenter;

   function Get_onrowenter
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onrowenter);
   end Get_onrowenter;

   procedure Put_ondatasetchanged
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_ondatasetchanged,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ondatasetchanged;

   function Get_ondatasetchanged
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_ondatasetchanged);
   end Get_ondatasetchanged;

   procedure Put_ondataavailable
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_ondataavailable,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ondataavailable;

   function Get_ondataavailable
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_ondataavailable);
   end Get_ondataavailable;

   procedure Put_ondatasetcomplete
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_ondatasetcomplete,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_ondatasetcomplete;

   function Get_ondatasetcomplete
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_ondatasetcomplete);
   end Get_ondatasetcomplete;

   procedure Put_onfilterchange
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onfilterchange,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onfilterchange;

   function Get_onfilterchange
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onfilterchange);
   end Get_onfilterchange;

   function Get_children
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_children);
   end Get_children;

   function Get_all
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_all);
   end Get_all;

   procedure Put_tabIndex
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_tabIndex,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_tabIndex;

   function Get_tabIndex
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_tabIndex);
   end Get_tabIndex;

   procedure focus
     (This : DispIHTMLInputTextElement_Type)
   is
   begin
      Invoke (This, DispIHTMLInputTextElement_focus);
   end focus;

   procedure Put_accessKey
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_accessKey,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_accessKey;

   function Get_accessKey
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_accessKey);
   end Get_accessKey;

   procedure Put_onblur
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onblur,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onblur;

   function Get_onblur
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onblur);
   end Get_onblur;

   procedure Put_onfocus
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onfocus,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onfocus;

   function Get_onfocus
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onfocus);
   end Get_onfocus;

   procedure Put_onresize
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onresize,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onresize;

   function Get_onresize
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onresize);
   end Get_onresize;

   procedure blur
     (This : DispIHTMLInputTextElement_Type)
   is
   begin
      Invoke (This, DispIHTMLInputTextElement_blur);
   end blur;

   procedure addFilter
     (This : DispIHTMLInputTextElement_Type;
      pUnk : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Invoke
        (This,
         DispIHTMLInputTextElement_addFilter,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pUnk),
         Free);
   end addFilter;

   procedure removeFilter
     (This : DispIHTMLInputTextElement_Type;
      pUnk : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Invoke
        (This,
         DispIHTMLInputTextElement_removeFilter,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pUnk),
         Free);
   end removeFilter;

   function Get_clientHeight
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_clientHeight);
   end Get_clientHeight;

   function Get_clientWidth
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_clientWidth);
   end Get_clientWidth;

   function Get_clientTop
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_clientTop);
   end Get_clientTop;

   function Get_clientLeft
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_clientLeft);
   end Get_clientLeft;

   function Get_type
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_type);
   end Get_type;

   procedure Put_value
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_value,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_value;

   function Get_value
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_value);
   end Get_value;

   procedure Put_name
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_name,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_name;

   function Get_name
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_name);
   end Get_name;

   procedure Put_status
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_status,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_status;

   function Get_status
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_status);
   end Get_status;

   procedure Put_disabled
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_disabled,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_disabled;

   function Get_disabled
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_disabled);
   end Get_disabled;

   function Get_form
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_form);
   end Get_form;

   procedure Put_defaultValue
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_defaultValue,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_defaultValue;

   function Get_defaultValue
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_defaultValue);
   end Get_defaultValue;

   procedure Put_size
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_size,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_size;

   function Get_size
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_size);
   end Get_size;

   procedure Put_maxLength
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_maxLength,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_maxLength;

   function Get_maxLength
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_maxLength);
   end Get_maxLength;

   procedure uselect
     (This : DispIHTMLInputTextElement_Type)
   is
   begin
      Invoke (This, DispIHTMLInputTextElement_uselect);
   end uselect;

   procedure Put_onchange
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onchange,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onchange;

   function Get_onchange
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onchange);
   end Get_onchange;

   procedure Put_onselect
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_onselect,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onselect;

   function Get_onselect
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_onselect);
   end Get_onselect;

   procedure Put_readOnly
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_readOnly,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_readOnly;

   function Get_readOnly
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_readOnly);
   end Get_readOnly;

   function createTextRange
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DispIHTMLInputTextElement_createTextRange);
   end createTextRange;

   procedure Put_dataFld
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_dataFld,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_dataFld;

   function Get_dataFld
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_dataFld);
   end Get_dataFld;

   procedure Put_dataSrc
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_dataSrc,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_dataSrc;

   function Get_dataSrc
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_dataSrc);
   end Get_dataSrc;

   procedure Put_dataFormatAs
     (This : DispIHTMLInputTextElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispIHTMLInputTextElement_Put_dataFormatAs,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_dataFormatAs;

   function Get_dataFormatAs
     (This : DispIHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispIHTMLInputTextElement_Get_dataFormatAs);
   end Get_dataFormatAs;

end MSHTML.DispIHTMLInputTextElement_Object;

